Subject: Re: Customer Service Advisor - Work From Home - Phone Support - John Ace Galman applied on Indeed
From: "John Ace Galman" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Fri, 6 Jan 2023 10:05:15 -0600 (CST)

Hi there, I got the chance to join, however I experienced power interruptions that's why I unintentionally disconnected from the Zoom meeting :( (I guess because of much excitement) If just in case, you are still hiring and need some applicants, I'd be more than happy to reapply and rejoin! Have a great day and best regards,

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3C8ce046a9-4c39-481f-83fc-298fe0c468dc%40indeedemail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.